<?php

namespace DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Form;

use DropshippingExportFreeVendor\WPDesk\Forms\Form\FormWithFields;
use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Infrastructure\Form\Abstraction\FormIdentity;
/**
 * Class ImportFileForm, import file form.
 *
 * @package WPDesk\Library\DropshippingExport\Form
 */
class ExportFileTypeForm extends FormWithFields implements FormIdentity
{
    const ID = 'file_type';
    public function __construct(Fields\ExportFileTypeFormFields $fields)
    {
        parent::__construct($fields->get_fields(), self::ID);
    }
    public static function get_id(): string
    {
        return self::ID;
    }
}
